Linux IPv6 HOWTO (en)
Prev | Chapter 6. Configuring IPv6 addresses | Next

# 6.2. Add an IPv6 address

Adding an IPv6 address is similar to the mechanism of "IP ALIAS" addresses in Linux IPv4 addressed interfaces.

## 6.2.1. Using "ip"

Usage:

    # /sbin/ip -6 addr add <ipv6address>/<prefixlength> dev <interface>

Example:

    # /sbin/ip -6 addr add 2001:0db8:0:f101::1/64 dev eth0

## 6.2.2. Using "ifconfig"

Usage:

    # /sbin/ifconfig <interface> inet6 add <ipv6address>/<prefixlength>

Example:

    # /sbin/ifconfig eth0 inet6 add 2001:0db8:0:f101::1/64

Prev | Home | Next
Displaying existing IPv6 addresses | Up | Removing an IPv6 address